import { HttpClient, HttpHeaders, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs';
import { AsyncCache } from './async-cache.provider';
import { AsyncCacheOptionsInterface } from './async-cache-options.provider';
export interface HttpRequestArgs {
    headers?: HttpHeaders;
    params?: HttpParams | {
        [param: string]: string | string[];
    };
    reportProgress?: boolean;
    responseType?: 'json';
    withCredentials?: boolean;
}
export declare class CachedHttp {
    private http;
    private asyncCache;
    constructor(http: HttpClient, asyncCache: AsyncCache);
    get<T = any>(url: string, options?: HttpRequestArgs, asyncCacheOptions?: AsyncCacheOptionsInterface): Observable<T>;
}
